gd_fragment_index(3)

NAME
gd_fragment_index — retrieve the fragment containing a dirfile field

SYNOPSIS
#include <getdata.h>

int gd_fragment_index(const DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The gd_fragment_index() function queries a dirfile(5) database specified by dirfile and returns the index number of the fragment defining the field specified by field_code. If field_code contains a representation suffix, it will be ignored.

RETURN VALUE
Upon successful completion, gd_fragment_index() returns the requested fragment index. On error, gd_fragment_index() returns -1 and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_CODE
    The field specified by field_code was not found in the database.

GD_E_BAD_REPR
    The representation suffix specified in field_code was not recognised.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_open(3), gd_entry(3), gd_error(3), gd_error_string(3), gd_fragmentname(3), gd_parent_fragment(3), dirfile(5)